org.apache.tools.ant.taskdefs.optional.ejb

## Class OrionDeploymentTool

- java.lang.Object
- - org.apache.tools.ant.taskdefs.optional.ejb.GenericDeploymentTool
  - - org.apache.tools.ant.taskdefs.optional.ejb.OrionDeploymentTool

- All Implemented Interfaces:
    EJBDeploymentTool

      public class OrionDeploymentTool
      extends GenericDeploymentTool

  The deployment tool to add the orion specific deployment descriptor to the ejb jar file. Orion only requires one additional file orion-ejb-jar.xml and does not require any additional compilation.
  Since:
    Ant 1.10.2
  See Also:
    `EjbJar.createOrion()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `ORION_DD`

    - ### Fields inherited from class org.apache.tools.ant.taskdefs.optional.ejb.GenericDeploymentTool

      `ANALYZER_CLASS_FULL, ANALYZER_CLASS_SUPER, ANALYZER_FULL, ANALYZER_NONE, ANALYZER_SUPER, DEFAULT_ANALYZER, DEFAULT_BUFFER_SIZE, EJB_DD, JAR_COMPRESS_LEVEL, MANIFEST, META_DIR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrionDeploymentTool()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addVendorFiles(java.util.Hashtable<java.lang.String,java.io.File> ejbFiles, java.lang.String baseName)` Add any vendor specific files which should be included in the EJB Jar.

    - ### Methods inherited from class org.apache.tools.ant.taskdefs.optional.ejb.GenericDeploymentTool

      `addFileToJar, addSupportClasses, checkAndAddDependants, checkConfiguration, configure, createClasspath, getClassLoaderForBuild, getCombinedClasspath, getConfig, getDescriptorHandler, getDestDir, getJarBaseName, getLocation, getManifestFile, getPublicId, getTask, getVendorDDPrefix, log, needToRebuild, parseEjbFiles, processDescriptor, registerKnownDTDs, setClasspath, setDestdir, setGenericJarSuffix, setTask, usingBaseJarName, validateConfigured, writeJar`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ORION_DD

          protected static final java.lang.String ORION_DD

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OrionDeploymentTool

          public OrionDeploymentTool()

  - ### Method Detail

    - #### addVendorFiles

          protected void addVendorFiles(java.util.Hashtable<java.lang.String,java.io.File> ejbFiles,
                                        java.lang.String baseName)

      Add any vendor specific files which should be included in the EJB Jar.
      Overrides:
        `addVendorFiles` in class `GenericDeploymentTool`
      Parameters:
        `ejbFiles` - Hashtable<String, File>
        `baseName` - String